Recent

Author Topic: Fpcupdeluxe  (Read 710773 times)

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1624
Re: Fpcupdeluxe
« Reply #2115 on: January 17, 2023, 09:11:54 am »
@BlueIcaro
@elmar faber
Fpcupdeluxe has done its jobs: installing FPC and Lazarus.
The errors reported are not related to fpcupdeluxe. The trunk versions of FPC and Lazarus are known to fail due to changes that may introduce buggers.
If you encounter such a trunk-bugger, please search the forum and the bugtracker. They might already be known and reported.

BlueIcaro

  • Hero Member
  • *****
  • Posts: 749
    • Blog personal
Re: Fpcupdeluxe
« Reply #2116 on: January 17, 2023, 09:27:42 am »
Hello @DonAlfredo, thanks for your answer.

Other question, Why pico instalation use Lazarus trunk?, Can I "force" fpcupdeluxe use a stable version?

Thanks

/blueIcaro

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1624
Re: Fpcupdeluxe
« Reply #2117 on: January 17, 2023, 10:09:17 am »
For pico, a special FPC version is used: https://github.com/michael-ring/freepascal
It has additions for pico and other embedded targets.
This [embedded] FPC version has not been updated since May 2021.
You might ask the author/owner about the status of this FPC version and the inclusion of its additions into FPC trunk.
And, AFAIK, current FPC stable cannot be used for pico. But I am not 100% sure of this.

BSaidus

  • Sr. Member
  • ****
  • Posts: 453
  • lazarus 1.8.4 Win8.1 / cross FreeBSD
Re: Fpcupdeluxe
« Reply #2118 on: January 31, 2023, 11:46:09 am »
Hello.
I want to mention that the package 'fpweb.lpk' (weblaz) do not cross compile for OpenBSD(32 or 64 ) due to missing of the "cnetdb.ppu, and cnetdb.o" not compiled in "fcl-net" package.

So, is there any thing to do ??
Thanks.
lazarus 1.8.4 Win8.1 / cross FreeBSD
dhukmucmur vernadh!

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1624
Re: Fpcupdeluxe
« Reply #2119 on: January 31, 2023, 02:12:06 pm »
Correct.
Look here: https://gitlab.com/freepascal.org/fpc/source/-/blob/main/packages/fcl-net/fpmake.pp#L76
Add OpenBSD into this list of your local source-file (fpmake.pp).
Fpcupdeluxe->Setup+ -> check "FPC/Laz rebuild only".
Build FPC.
Build cross-compiler.
If all ok, file a FPC bugger with detailed error-description and steps to solve.


BSaidus

  • Sr. Member
  • ****
  • Posts: 453
  • lazarus 1.8.4 Win8.1 / cross FreeBSD
Re: Fpcupdeluxe
« Reply #2120 on: February 03, 2023, 03:17:22 pm »
@DonAlfredo
I did it manually on the fpmake.pp, it cross compile correctelly.  :)
lazarus 1.8.4 Win8.1 / cross FreeBSD
dhukmucmur vernadh!

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1624
Re: Fpcupdeluxe
« Reply #2121 on: February 18, 2023, 05:50:34 pm »
FYI.

I just finished my work on the porting (to mingw64/msys2) of the latest open source OSX-linker (ld64).
https://opensource.apple.com/source/ld64/ld64-609/
The linker and all the tools needed (clang) to cross-compile from Windows to Darwin x86_64 / aarch64 are now available as native 64bit Windows tools.
https://github.com/LongDirtyAnimAlf/fpcupdeluxe/releases/download/wincrossbins_v1.3/WinCrossBinsAppleAll.zip
The linker also perform an ad-hoc codesign of the binary produced.
Please not that the binary will be quarantined on M1. Run xattr -c yourprog(.app) to allow the execution of the binary.

BSaidus

  • Sr. Member
  • ****
  • Posts: 453
  • lazarus 1.8.4 Win8.1 / cross FreeBSD
Re: Fpcupdeluxe
« Reply #2122 on: February 18, 2023, 11:00:36 pm »
@DonAlfredo,
Hello, Can you tel me what do you need to incorporate the cross-compiling to aarch64-freebsd ?
I can give you libraries from the https://download.freebsd.org/releases/arm64/aarch64/ISO-IMAGES/13.1/
lazarus 1.8.4 Win8.1 / cross FreeBSD
dhukmucmur vernadh!

AlexTP

  • Hero Member
  • *****
  • Posts: 2045
    • UVviewsoft
Re: Fpcupdeluxe
« Reply #2123 on: February 20, 2023, 08:55:28 am »
@BSaidus
I guess author needs .so* files. Which files? I can tell it by looking into my folder
/home/user/fpcupdeluxe/fpcupdeluxe32/cross/lib/x86_64-freebsd
It contains these files:
Code: [Select]
libatk-1.0.so.0
libepoll-shim.so.0
libfribidi.so.0
libgdk_pixbuf-2.0.so.0
libgdk_pixbuf_xlib-2.0.so.0
libgdk-x11-2.0.so.0
libgio-2.0.so.0
libglapi.so.0
libglib-2.0.so.0
libgmodule-2.0.so.0
libgobject-2.0.so.0
libgthread-2.0.so.0
libgtk-x11-2.0.so.0
libharfbuzz.so.0
libpango-1.0.so.0
libpangocairo-1.0.so.0
libpangoft2-1.0.so.0
libpixman-1.so.0
libsqlite3.so.0
libv4l1.so.0
libv4l2.so.0
libwayland-client.so.0
libwayland-server.so.0
libxcb-composite.so.0
libxcb-damage.so.0
libxcb-dri2.so.0
libxcb-dri3.so.0
libxcb-glx.so.0
libxcb-present.so.0
libxcb-randr.so.0
libxcb-render.so.0
libxcb-shape.so.0
libxcb-shm.so.0
libxcb-xfixes.so.0
libxcb-xinerama.so.0
libc++.so.1
libcxxrt.so.1
libdl.so.1
libEGL.so.1
libexpat.so.1
libfontconfig.so.1
libgbm.so.1
libgcc_s.so.1
libGL.so.1
libpcre.so.1
librt.so.1
libX11-xcb.so.1
libxcb.so.1
libxcb-sync.so.1
libXcomposite.so.1
libXcursor.so.1
libXdamage.so.1
libXinerama.so.1
libXrender.so.1
libxshmfence.so.1
libXxf86vm.so.1
libpng16.so.16
libcairo.so.2
libdrm.so.2
libiconv.so.2
libXrandr.so.2
libgraphite2.so.3
libusb.so.3
libXfixes.so.3
libbz2.so.4
libusbhid.so.4
libm.so.5
libffi.so.6
libfreetype.so.6
libgdbm.so.6
libX11.so.6
libXau.so.6
libXdmcp.so.6
libXext.so.6
libXi.so.6
libXt.so.6
libXtst.so.6
libz.so.6
libc.so.7
libintl.so.8
crt1.o
crtbegin.o
crtbeginS.o
crtbeginT.o
crtend.o
crtendS.o
crti.o
crtn.o
gcrt1.o
libatk-1.0.so
libbz2.so
libc.so
libc++.so
libcairo.so
libcxxrt.so
libdl.so
libdrm.so
libEGL.so
libepoll-shim.so
libexpat.so
libffi.so
libfontconfig.so
libfreetype.so
libfribidi.so
libgbm.so
libgcc_s.so
libgdbm.so
libgdk_pixbuf-2.0.so
libgdk_pixbuf_xlib-2.0.so
libgdk-x11-2.0.so
libgio-2.0.so
libGL.so
libglapi.so
libglib-2.0.so
libgmodule-2.0.so
libgobject-2.0.so
libgraphite2.so
libgthread-2.0.so
libgtk-x11-2.0.so
libharfbuzz.so
libiconv.so
libintl.so
libm.so
libpango-1.0.so
libpangocairo-1.0.so
libpangoft2-1.0.so
libpcre.so
libpixman-1.so
libpng16.so
libpthread.so
librt.so
libsqlite3.so
libusb.so
libusbhid.so
libv4l1.so
libv4l2.so
libwayland-client.so
libwayland-server.so
libX11.so
libX11-xcb.so
libXau.so
libxcb.so
libxcb-composite.so
libxcb-damage.so
libxcb-dri2.so
libxcb-dri3.so
libxcb-glx.so
libxcb-present.so
libxcb-randr.so
libxcb-render.so
libxcb-shape.so
libxcb-shm.so
libxcb-sync.so
libxcb-xfixes.so
libxcb-xinerama.so
libXcomposite.so
libXcursor.so
libXdamage.so
libXdmcp.so
libXext.so
libXfixes.so
libXi.so
libXinerama.so
libXrandr.so
libXrender.so
libxshmfence.so
libXt.so
libXtst.so
libXxf86vm.so
libz.so
acknowledgement_fpcup.txt

totya

  • Hero Member
  • *****
  • Posts: 719
Re: Fpcupdeluxe
« Reply #2124 on: February 20, 2023, 08:59:05 am »
Hi, just a short post, in the past I have problems with this app, but the present time works like a charm, thanks for the developer!  O:-)

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1624
Re: Fpcupdeluxe
« Reply #2125 on: February 20, 2023, 01:38:06 pm »
Aarch64 for FreeBSD has been added, both as native fpcupdeluxe app and as cross-target.
Atari for m68K has been added as a cross-target.

Pre-release:
https://github.com/LongDirtyAnimAlf/fpcupdeluxe/releases/tag/v2.2.0op
https://github.com/LongDirtyAnimAlf/fpcupdeluxe/releases/download/v2.2.0op/fpcupdeluxe-aarch64-freebsd13

Please test

AlexTP

  • Hero Member
  • *****
  • Posts: 2045
    • UVviewsoft
Re: Fpcupdeluxe
« Reply #2126 on: February 20, 2023, 01:43:45 pm »
Thanks for your work again!
Side question:

"Release v2.2.0n of fpcupdeluxe reader Pre-release
Reader version of fpcupdeluxe."

What is 'Reader'?

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1624
Re: Fpcupdeluxe
« Reply #2127 on: February 20, 2023, 01:48:08 pm »
There was a request from a visual impaired user of fpcupdeluxe.
A reader, reading out loud the text on buttons, lists and all other items, helps them when using software.
However, not all standard components of Lazarus are detected by the reader. So, the reader remains silent on many components that are used by fpcupdeluxe.
The reader version of fpcupdeluxe uses only components that work with a text-reader.

AlexTP

  • Hero Member
  • *****
  • Posts: 2045
    • UVviewsoft
Re: Fpcupdeluxe
« Reply #2128 on: February 20, 2023, 02:09:04 pm »
Do you mean we have 'reader version' and 'usual version'?
I didnot find any 'reader version' in attachements.


 

TinyPortal © 2005-2018